/* $Id: spdsmsg.m,v 1.1.6.2.4.3.4.12.4.2 2015/07/29 14:48:08 linker Exp $ */
/*-------------------------------------------------------------------
 *                  copyright (c) 1986 by sas institute inc., cary nc
 *
 * name:      spdsmsg.m
 * purpose:   Source msgs
 *-------------------------------------------------------------------*/

/*
 *  AC Subsystem
 */
# M_AC_DA_ERROR               1 %1zFile I/O error for the password file
# M_AC_RENAME_COLLISION       2 %1zPersistent ACL already exists for rename target
# M_AC_PERSIST_MISMATCH       3 %1zACL persistency attributes do not match
# M_AC_FILE_CORRUPT           4 %1zFile corruption may have occurred
# M_AC_INCORRECT_IPADDR       5 %1zUser ipaddress mismatch against password file entry
# M_AC_INCORRECT_PASSWORD     6 %1zPassword incorrect
# M_AC_UNKNOWN                7 %1zUnexpected ACL subsystem failure
# M_AC_NOLIBRARY              8 %1zLibrary does not exist
# M_AC_NOPATHNAME             9 %1zNo pathname was specified
# M_AC_NOPRIV                10 %1zNo privilege for operation
# M_AC_NOT_FOUNDE            11 %1zResource not found
# M_AC_NOT_FOUNDW            12 %2zResource not found
# M_AC_NOT_SPECIAL_USER      13 %1zNon-privileged user attempted privileged access
# M_AC_GROUP_NOTMEMBER       14 %1zUser is not a member of the specified group
# M_AC_CRYPT_FAIL            15 %1zDecryption failed
# M_AC_BUFFER_EXCEEDED       16 %1zBuffer overflow detected
# M_AC_DUPLICATE_ENTRY       17 %1zDuplicate user entry detected
# M_AC_DUPLICATE_GROUP       18 %1zDuplicate group entry detected
# M_AC_DUPLICATE_PWD         19 %1zNew password same as old
# M_AC_PWD_EXPIRED           20 %1zPassword has expired

/*
 *  BY Subsystem
 */
# M_BY_ECALLBACK            201 %1zCallback from BY processing fails
# M_BY_ENOMEM               202 %1zBY processing memory error
# M_BY_ERROR                203 %1zError during BY processing
# M_BY_ETHRCRET             204 %1zBY processing thread creation fails

/*
 *  DA Subsystem
 */
# M_DA_WABORTED             401 %2zRequested operation aborted
# M_DA_WBUSY                402 %2zSpecified resource is in busy condition
# M_DA_WCORRINDEX           403 %2zOne or more indexes are corrupted on data set
# M_DA_WCREATED             404 %3zDirectory created from LIBNAME assignment
# M_DA_WDFWORKPATH          405 %2zWORKPATH server option has invalid/inaccessible paths. Using defaults
# M_DA_WEOF                 406 %2zEnd of file detected on specified operation
# M_DA_WIXUPDATE            407 %2zIndex component updated since last locked
# M_DA_WLOCKED              408 %2zRequested file already locked for write access
# M_DA_WMISSFILE            409 %2zPartition file is missing
# M_DA_WNOBITMAP            410 %2zNo delete bitmap for specified segment obs
# M_DA_WNOSUP               411 %2zRequested operation not supported
# M_DA_WNOTIMP              412 %2zRequested operation not implemented
# M_DA_WREVMATCH            413 %2zPartition file revision not current with root partition
# M_DA_WROLIBACC            414 %2zOnly LIBNAME owner permitted to update LIBNAME options
# M_DA_EBADLOC              415 %1zBad seek location specified
# M_DA_EBADPATH             416 %1zInvalid path specification
# M_DA_EBADREV              417 %1zInvalid revision number in data set auxiliary file
# M_DA_EBADVER              418 %1zUnable to open due to incompatible data file version number
# M_DA_EBDATAPATH           419 %1zOne or more DATAPATH directories not valid/inaccessible
# M_DA_EBINDXPATH           420 %1zOne or more INDEXPATH directories not valid/inaccessible
# M_DA_EBMETAPATH           421 %1zOne or more METAPATH directories not valid/inaccessible
# M_DA_EBUGCHECK            422 %1zInternal DA software error detected
# M_DA_EBWORKPATH           423 %1zOne or more WORKPATH directories not valid/accessible
# M_DA_EDELERROR            424 %1zUnable to delete file
# M_DA_EDSDELFAIL           425 %1zDelete failed for specified data set
# M_DA_EDSRENFAIL           426 %1zRename failed for specified data set
# M_DA_EDUPDEL              427 %1zSpecified observation already deleted
# M_DA_EEXISTS              428 %1zSpecified resource already exists
# M_DA_EFATALIO             429 %1zUnrecoverable IO error-no operation allowed
# M_DA_EFIBFULL             430 %1zNo space in File Information Block. Increase server FIBSIZE parameter
# M_DA_EFILELIM             431 %1zProcess or system file limit exceeded
# M_DA_EINVAL               432 %1zParameter value is invalid for operation
# M_DA_ELIBBADVER           433 %1zObsolete LIBNAME meta-data file version encountered
# M_DA_ELOCKFAIL            434 %1zUnexpected lock failure on specified file
# M_DA_EMMAPFAIL            435 %1zUnable to memory map DA file as requested
# M_DA_ENOACCESS            436 %1zFile system permissions prohibit proxy from accessing file/directory
# M_DA_ENOEXIST             437 %1zSpecified resource does not exist
# M_DA_ENOLIBMD             438 %1zOnly LIBNAME owner permitted to create .spdslib11 file. Check owner permissions
# M_DA_ENOMEM               439 %1zNo memory can be allocated
# M_DA_ENOMEMCHG            440 %1zChange of member type not permitted
# M_DA_ENOSPACE             441 %1zInsufficient disk space to complete operation
# M_DA_ENOTCOMPRESS         442 %1zSpecified algorithm does not perform compression
# M_DA_ENOTDIR              443 %1zSpecified path is not a valid directory
# M_DA_ENOTENCRYPT          444 %1zSpecified algorithm does not perform encryption
# M_DA_ENOTHREAD            445 %1zThread creation failure occurred
# M_DA_ENOTVALID            446 %1zRequested operation not valid for specified context
# M_DA_EOVERFLOW            447 %1zNumber of values overflows available space
# M_DA_ERDLKFAIL            448 %1zUnable to acquire read lock on specified file
# M_DA_ERDLKHELD            449 %1zMember lock held by same proxy prohibits data set read lock
# M_DA_EREADFAIL            450 %1zDisk read failed on specified operation
# M_DA_ERENFAIL             451 %1zRename failed for component file
# M_DA_EREVFAIL             452 %1zRevision update failed for component file
# M_DA_ESEMNOSUP            453 %1zData set semantic type not supported in this SPD release
# M_DA_ETRUNCFAIL           454 %1zUnable to truncate DA file as requested
# M_DA_ETRUNCREAD           455 %1zRead operation was truncated
# M_DA_ETRUNCWRITE          456 %1zWrite operation was truncated
# M_DA_EUTDELFAIL           457 %1zDelete failed for specified utility file
# M_DA_EUTRENFAIL           458 %1zRename failed for specified utility file
# M_DA_EWRDELOBS            459 %1zAttempted to write back to deleted observation
# M_DA_EWRITEFAIL           460 %1zDisk write failed on specified operation
# M_DA_EWRLKFAIL            461 %1zUnable to acquire write lock on specified file
# M_DA_EWRLKHELD            462 %1zMember lock held by same proxy prohibits data set write lock
# M_DA_EWRONGMODE           463 %1zData set open in wrong mode for attempted operation
# M_DA_EXCBADKEY            464 %1zSpecified encryption key does not match data set key
# M_DA_EXCCNFAIL            465 %1zExternal converter convert failed
# M_DA_EXCLDFAIL            466 %1zLoad of external converter shared library failed
# M_DA_EXCOPFAIL            467 %1zExternal converter open_hook failed
# M_DA_EXCOVERFLOW          468 %1zExternal converter convert routine overflowed output buffer
# M_DA_EXCUCFAIL            469 %1zExternal converter unconvert failed
# M_DA_ENOLOCK              470 %1zSystem file lock limit exceeded
# M_DA_ERDLKTID             471 %1zExclusive read lock held by conflicting client thread
# M_DA_EWRLKTID             472 %1zExclusive write lock held by conflicting client thread
# M_DA_ELIBRDFAIL           473 %1zLIBNAME domain .spdslib11 file appears to be corrupt/invalid
# M_DA_EGENDATBAD           474 %1zSPDSGEND value not specified or invalid
# M_DA_EGENINSERT           475 %1zSPDSGEND value selects generation slot on/before last generation
# M_DA_EGENOPENFAIL         476 %1zCluster member open failed on table
# M_DA_EGENMEMMISS          477 %1zOne or more cluster member tables not found
# M_DA_EGENNOUTIL           478 %1zAccess by cluster member not permitted for UTILITY mode open
# M_DA_EGENBADINT           479 %1zInvalid MEMNUM value specified for cluster member open
# M_DA_EFILEINUSE           480 %1zNT prohibits attempted operation when file in use by another process
# M_DA_ECDFNOTSUP           481 %1zClustered table operations not supported currently for LOCKING=YES mode
# M_DA_EIOERROR             482 %1zUnexpected IO error occurred
# M_DA_WDFUTILPATH          483 %2zInvalid or inaccessible path specified for utility files. Using defaults
# M_DA_EBUTILPATH           484 %1zUnable to create a temporary directory for utility files
# M_DA_EDIRBUSY             485 %1zDirectory in use prohibits deletion
# M_DA_EDIRNOTEMPTY         486 %1zDirectory not empty prohibits deletion
# M_DA_EDIRERROR            487 %1zUnexpected error deleting specified directory
# M_DA_EBADNLSCEI           488 %1zZero NLS CEI value not permitted in table creation
# M_DA_EBADNLSLOC           489 %1zZero NLS locale value not permitted in table creation
# M_DA_ECLUMEMREJECT        490 %1zMember table not compatible with other cluster members. Compare CONTENTS.
# M_DA_EBADROWID            491 %1zInvalid row ID specified for table IO operation
# M_DA_EDYNLOCK             492 %1zDynamic locking error due to incompatible modes
# M_DA_WSORTWARN            493 %2zSORTED BY may be invalid when REUSE delete space set
# M_DA_EDPFMISSING          494 %1zData set DPF component missing one or more partition file(s)
# M_DA_ECONADD              495 %1zCannot ADD CONSTRAINT to dataset with existing CONSTRAINT set
# M_DA_NCONDEL              496 %3zTrying to REMOVE CONSTRAINT from dataset with no CONSTRAINT
# M_DA_NCONLIST             497 %3zTrying to DESCRIBE CONSTRAINT from dataset with no CONSTRAINT
# M_DA_ECDFNOMEMBERS        498 %1zTrying to create a Cluster with no members, Cluster deleted
# M_DA_ECDFNOSLOTS          499 %1zMember count exceeds maxslots available
# M_DA_ECDFNOREMOVE         500 %1zTrying to remove all members from Cluster not allowed
# M_DA_ECDFNODUPS           501 %1zCannot Create/Add duplicate member names to Cluster
# M_DA_ENOALIGN             502 %1zSPD table is aligned by SPD Engine and can not be read by SPD Server
# M_DA_EXCNOKEY             503 %1zNo encryption key provided for encrypted dataset
# M_DA_ENOMEMUPDATE         504 %1zUpdate not allowed on removed Cluster member
# M_DA_EINCOMPENCRYP        505 %1zUnable to open due to incompatible encryption

/*
 *  HP Subsystem
 */
# M_HP_WACLUPFAIL           601 %2zACL update failed
# M_HP_WBADPATHS            602 %2zNonexistent or inaccessible directories in LIBNAME domain paths.
# M_HP_WBADRID              603 %2zRequested RID value not valid for data set
# M_HP_WDSBOD               604 %2zAttempt to read before start of data set
# M_HP_WDSEOF               605 %2zEnd of file reached on data set
# M_HP_WDSPERSIST           606 %2zExisting data set ACL must be deleted to add LIBNAME ACL
# M_HP_WENDGET              607 %2zClient ending GET on data socket
# M_HP_WFORCESAVE           608 %2zFORCESAVE close of data set. REPAIR necessary before read/update/append permitted
# M_HP_WGBTEVAL2            609 %2zEVAL2 chosen to exclude global B-tree(s). Creating segmented indexes will choose EVAL1
# M_HP_WIXFINISH            610 %2zOne or more indexes may be incomplete after data set close
# M_HP_WIXUNIQUE            611 %2zOne or more /UNIQUE indexes detected with non-unique values
# M_HP_WLIBDOMREAD          612 %3zRead-only access to LIBNAME domain restricted by *LIBNAM* ACL
# M_HP_WLIBPERSIST          613 %2zExisting LIBNAME ACL must be deleted to add data set ACL
# M_HP_WMODINCOMP           614 %2zACL definition from model may be missing ACLLIST users
# M_HP_WNOBURST             615 %2zBurst mode initialization failed
# M_HP_WNOEXIST             616 %2zMember does not exist in LIBNAME domain
# M_HP_WNOINDEX             617 %2zNo index of specified name to drop
# M_HP_WNOIXREPAIR          618 %2zGlobal index out of sync with segmented index. Must delete index and recreate
# M_HP_WOBSDEL              619 %2zAttempt to read deleted observation from data set
# M_HP_WOCNOMEMBERS         620 %2zNo members to list in request
# M_HP_WRANGE               621 %2zNo non-deleted observation in specified range
# M_HP_EACLDELFAIL          622 %1zACL resource delete failed
# M_HP_EACLFAIL             623 %1zACL query for permissions failed
# M_HP_EACLINIFAIL          624 %1zACL initialization failed
# M_HP_EACLNOACC            625 %1zAll access to member denied by ACL permissions
# M_HP_EACLNODEL            626 %1zACLALTER access to existing data set required to delete
# M_HP_EACLNOINP            627 %1zACLREAD access to existing data set required
# M_HP_EACLNOMOD            628 %1zAlter access to member denied by ACL permissions
# M_HP_EACLNOOUT            629 %1zACLWRITE access to LIBNAME domain required to create new data set
# M_HP_EACLNORD             630 %1zRead access to member denied by ACL permissions
# M_HP_EACLNOREP            631 %1zACLALTER access to existing data set required to replace it
# M_HP_EACLNORNM            632 %1zACLALTER access to existing data set required to rename
# M_HP_EACLNOUPD            633 %1zACLWRITE access to existing data set required to open for update
# M_HP_EACLNOUTL            634 %1zACLALTER access to existing data set required for utility open
# M_HP_EACLNOWR             635 %1zWrite access to member denied by ACL permissions
# M_HP_EACLRDONLY           636 %1zACLs cannot be altered with data set opened for read only input
# M_HP_EACLRNMFAIL          637 %1zACL resource rename failed
# M_HP_EBADACL              638 %1zInvalid ACL string syntax encountered
# M_HP_EBADDSID             639 %1zInvalid method ID in message
# M_HP_EBADIXCRE            640 %1zIndex create requires at least one of global or segmented index
# M_HP_EBADMAGIC            641 %1zInvalid magic number in operator request
# M_HP_EBADOBSLEN           642 %1zBad observation length in method request
# M_HP_EBADOPNMODE          643 %1zInvalid data set open mode
# M_HP_EBUGCHECK            644 %1zInternal proxy software error detected
# M_HP_ECMBADVAL            645 %1zDEBUG command has invalid parameter value
# M_HP_ECMMISSVAL           646 %1zDEBUG command missing parameter/value
# M_HP_ECMNOTHALT           647 %1zDEBUG command requires proxy be in halted state
# M_HP_ECMNOTREC            648 %1zDEBUG command not recognized by proxy
# M_HP_EDELOBSFAIL          649 %1zObservation delete failed
# M_HP_EDIRENFAIL           650 %1zDirectory rename failed
# M_HP_EDPCONFAIL           651 %1zData path connection failed
# M_HP_EDPOVFLOW            652 %1zData path message buffer overflow
# M_HP_EDUPIDXVAR           653 %1zIndex variable set contains duplicate VARNO
# M_HP_EDUPINDEX            654 %1zAttempt to create duplicate index not allowed
# M_HP_EHALTED              655 %1zProxy already halted by operator command
# M_HP_EHALTPEND            656 %1zProxy HALT operation pending already
# M_HP_EIDXADDERR           657 %1zIO error while building index
# M_HP_EIDXAPPERR           658 %1zUnable to complete index append
# M_HP_EIDXINCOMP           659 %1zIncomplete index prohibits index use
# M_HP_EIDXTHRERR           660 %1zUnable to launch thread for async index
# M_HP_EINTERNAL            661 %1zProxy internal software consistency error
# M_HP_EINTRPT              662 %1zProxy processing terminated by interrupt flag
# M_HP_ELOCKCONF            663 %1zMember lock is not available, lock held by conflicting use.
# M_HP_ELOCKFAIL            664 %1zFile locked, unable to lock.
# M_HP_ELOSTOBS             665 %1zLost observation sequence number
# M_HP_ELOSTVAR             666 %1zLost variable sequence number
# M_HP_EMETHDISP            667 %1zUnable to launch thread for method
# M_HP_EMETHERR             668 %1zUnable to read complete method packet
# M_HP_ENEEDSREPAIR         669 %1zData set needs REPAIR operation to fixup incomplete information
# M_HP_ENOADDPERM           670 %1zAdd requires ACLCONTROL for *LIBNAM*, ACLUSER=LIBNAME USER or ACLSPECIAL
# M_HP_ENOASYNCDEF          671 %1zNo async indexes defined yet
# M_HP_ENODPSOCK            672 %1zNo data path socket assigned
# M_HP_ENOLIBACL            673 %1z*LIBNAM* ACL not permitted without LIBNAME owner
# M_HP_ENOLIBRDACC          674 %1zNo ACL READ access to LIBNAME domain granted
# M_HP_ENOMATCH             675 %1zNo ACL resources selected for current ACLUSER
# M_HP_ENOMEM               676 %1zNo memory can be allocated
# M_HP_ENOMETHOD            677 %1zThread method was null at GET_START time
# M_HP_ENOMODEL             678 %1zNo model resource of specified name exists
# M_HP_ENOSPECIAL           679 %1zACLSPECIAL required to perform this command
# M_HP_ENOSUPIXPNT          680 %1zIndex point operation not valid with only segmented B-tree
# M_HP_ENOTHALTED           681 %1zProxy not currently halted
# M_HP_ENOTOPER             682 %1zCommand not accepted. Not currently in operator mode
# M_HP_ENOUPINDEX           683 %1zIndexed variable update not permitted with LINEAR rank index
# M_HP_ENOUSERDEF           684 %1zNo ACL effective user defined
# M_HP_EOBSDEL              685 %1zSpecified observation has been deleted
# M_HP_EOCNODSNAM           686 %1zSpecified data set not open in proxy
# M_HP_EOCNOLIBNAM          687 %1zSpecified data library not assigned in proxy
# M_HP_EOCSENDERR           688 %1zOperator connection reply failed
# M_HP_EOPCONFAIL           689 %1zOperator client socket connection failed
# M_HP_EOPSET               690 %1zOperator mode owned by another connection. Cannot grant this request
# M_HP_ERESUMPEND           691 %1zProxy RESUME operation pending already
# M_HP_ESERVHALT            692 %1zCannot clear operator mode while proxy halted
# M_HP_ESOCKFAIL            693 %1zUnable to allocate data path socket
# M_HP_ETHRFAILED           694 %1zUnable to launch thread at GET_START time
# M_HP_EUACLNOINP           695 %1zACLREAD access to existing utility file required
# M_HP_EUACLNOOUT           696 %1zACLWRITE access to LIBNAME domain required to create new utility file
# M_HP_EUACLNOREP           697 %1zACLALTER access to existing utility file required to replace it
# M_HP_EUACLNOUPD           698 %1zACLWRITE access to existing utility file required to open for update
# M_HP_EUNMEMTYPE           699 %1zUnknown member type in previous request
# M_HP_EUNOREPLACE          700 %1zOpen mode prohibits replacing existing utility file
# M_HP_EWHINVAL             701 %1zWHERE clause not accepted by server
# M_HP_ERESVARS             702 %1zUser column names conflict with SPD Server BACKUP column names
# M_HP_EACLCOLPROT          703 %1zTable OUTPUT/UPDATE requires ACL WRITE permission for all columns
# M_HP_EBADRESTYPE          704 %1zIncorrect resource type for attempted operation
# M_HP_ENOBACKCRYP          705 %1zCreation of encrypted tables in BACKUP=YES domains not supported
# M_HP_ENOSUPVER            706 %1zUPDATE access to SPD Server table with V1 BITMAP indexes not supported
#                           707 %3zUsing message log. Log will be retained if disconnected.
#                           708 %1zIncomplete SQL log. Check server log for more.
#                           709 %3zSQL statement log overflowed allocation. Check server log for more.
# M_HP_ENOSUPREPAIR         710 %1zREPAIR to SPD Server table with V1 BITMAP indexes not supported
# M_HP_WPEVALOVRIDE         711 %3zParallel WHERE evaluation suppressed due to sort order on table(see SPDSEV1T/SPDSEV2T macro variables)
# M_HP_ETIMEOUT             712 %1zRecord access timed out because another user holds it locked
# M_HP_ENOTLOCKED           713 %1zClient attempted to update/delete record that is not locked. Operation denied
# M_HP_ERECLOCKED           714 %1zRecord access denied because another user holds it locked.
# M_HP_WREADCONF            715 %2zRead completed with conflict. Record locked by another user.
# M_HP_ECORRLCB             716 %1zLock table corrupted for specified data set. Please close and exit.
# M_HP_ENOPARADD            717 %1zSPDSSADD=NO not permitted when table opened with record integrity enabled
# M_HP_ESYNCGET             718 %1zSPDSSYRD=NO not permitted when table opened with record integrity enabled
# M_HP_EBADMEMTYPE          719 %1zMember lock only supported for DATA members currently
# M_HP_ENOLOCKSUP           720 %1zLock operation not supported in member-level proxy
# M_HP_EMEMLOCKED           721 %1zMember locked by another proxy connection
# M_HP_ECMDNOSUP            722 %1zCommand only supported in record level proxy
# M_HP_ENOLOCKS             723 %1zNo locks in use for specified member
# M_HP_ECMDFAILED           724 %1zUnable to complete command execution
# M_HP_ENOUNLKPRIV          725 %1zRecord unlock requires owner access or ACLSPECIAL privilege
# M_HP_ELOCKTID             726 %1zRecord locked to another thread
# M_HP_ESQLLOGCRE           727 %1zUnable to create SQL log file for connection
# M_HP_EACLNOCTRL           728 %1zVIEW owner must have ACLCONTROL access to specified table
# M_HP_ENOGENDATE           729 %1zSPDSGEND for clustered table create not specified or invalid
# M_HP_EBINDRANGE           730 %1zNo available TCP ports in MINPORTNO/MAXPORTNO range
# M_HP_EBADPARTSIZE         731 %1zInvalid PARTSIZE value specified for table
# M_HP_WFIXMSG              732 %2zTable repair diagnostic follows:
# M_HP_WRANUNIWARN          733 %2zRANUNI() with arg > 0 in WHERE clause can produce non-repeatable sample. Use THREADNUM=1 for repeatable sample.
# M_HP_WNOACLSUP            734 %2zACL operations not supported in SPD Engine context.
# M_HP_EBADGENSIZE          735 %1zMAXGEN exceeds maximum cluster size for server
# M_HP_EENCODING            736 %1zUnable to open data file because its file encoding differs from the SAS session encoding and cannot be transcoded
# M_HP_EDATAREP             737 %1zUnable to open data file because its data representation differs from the SAS session data representation
# M_HP_ECONDERR             738 %1zOut of resources for conditioned variables
# M_HP_ELOCKERR             739 %1zOut of resources for read/write locks
# M_HP_ESEMAERR             740 %1zOut of resources for semaphore locks
# M_HP_NPEVALOVRIDESPDE     741 %3zParallel WHERE evaluation suppressed due to sort order on table
# M_HP_ETPOVERFLOW          742 %1zTranscode overflowed CHAR variable
# M_HP_EGSREJECT            743 %1zGROUP BY on CHAR variable rejected with NONLSTRANSCODE set
# M_HP_EBYREJECT            744 %1zBY on CHAR variable rejected with NONLSTRANSCODE set
# M_HP_EDPCLOSED            745 %1zClient closed data path socket before proxy send completed
# M_HP_ENOCLXCODE           746 %1zTable encoding prohibits read by non-NLS client when NONLSTRANSCODE set
# M_HP_EV9COMPATVARS        747 %1zTable has more columns than non-V9 compatible client permits
# M_HP_EV9COMPATOBS         748 %1zTable has more rows than non-V9 compatible client permits
# M_HP_EV9COMPATFMT         749 %1zTable has FORMAT/INFORMAT names longer than non-V9 compatible client permits
# M_HP_WIGNORECEI           750 %2zENCODING= specified on table open fails to match table encoding. Option ignored.
# M_HP_ENOTRUNCCLU          751 %1zTRUNCATE not currently supported for clustered table type.
# M_HP_WRECOPNOTSET         752 %2zServer parameter override not supported in SPDSRECL process.
# M_HP_WOPSETFAILED         753 %2zLIBNAME-specific server parameter override failed. See server log for details.
# M_HP_WBADLIBWORKPATH      754 %2zLIBNAME WORKPATH option ignored. Value specified has one or more invalid directories.
# M_HP_EMEMEXIST            755 %1zTable name already in use by existing cluster member
# M_HP_ECLUSTNODEL          756 %1zDelete not allowed for cluster. Use Cluster Undo
# M_HP_EDYNLNOUPD           757 %1zDynamic locking no updates allowed at this time. Table update in progress by another client
# M_HP_EACLNOCTL            758 %1zACLCONTROL access to existing data sets required for cluster operations
# M_HP_ENORLUSR             759 %1zSpecified locking user does not exist
# M_HP_ERLUSRGONE           760 %1zSpecified locking user no longer exists
# M_HP_EBADORDER            761 %1zClustered BY member violates weak sort order during merge
# M_HP_NCLBYUSED            762 %3zClustered BY optimization used
# M_HP_ETHRFAULT            763 %1zProxy worker thread exited from fatal run-time fault
# M_HP_ECLMODFAIL           764 %1zCluster Modify failed due to requested var not found
# M_HP_EASYNCHIDX           765 %1zASYNC Index create failure
# M_HP_EACLNOALT            766 %1zACLALTER access to libaclinherit LIBNAME domain required to create new data set
# M_HP_EACLCONSTRAINT       767 %1zACLCONTROL access required to ADD/REMOVE Constraints
# M_HP_ENOWHERE             768 %1zCONSTRAINT ADD did not complete, no WHERE clause received
# M_HP_NNOCLUST             769 %3zCluster Name does not exist in LIBNAME domain
# M_HP_ENOCLUST             770 %1zCluster Name does not exist in LIBNAME domain
# M_HP_ENOCLUSTMEMBER       771 %1zMember Name does not exist in LIBNAME domain
# M_HP_ECLUSTEXISTS         772 %1zCluster Name already exists cannot overwrite
# M_HP_ENOSUPRIDPNT         773 %1zLAST or PREV RID Point not supported for table with Constraints
# M_HP_EBADLIBPATH          774 %1zLIBNAME path not found or unreachable for given domain, check LIBNAME definitions
# M_HP_ESASSECUNKNOWN       775 %1zSAS SECURE Licensing has not been checked
# M_HP_ESASSECNOLICENSE     776 %1zSAS SECURE Licensing is required
# M_HP_ENOUNIXSOCKETS       777 %1zUNIX domain sockets not supported on Windows server
# M_HP_EBADWHCONST          778 %1zWHERE clause contains errors
# M_HP_EUNSUPTWHCONST       779 %1zWHERE clause contains an unsupported constraint predicate

/*
 *  HS Subsystem
 */
# M_HS_WABORTED             801 %2zOperation aborted by software
# M_HS_WARNING              802 %2zGeneric warning
# M_HS_WBOD                 803 %2zAttempt to read before start of data
# M_HS_WEOF                 804 %2zEnd of file detected
# M_HS_WNOCOMP              805 %2zInput buffer did not compress
# M_HS_EINVAL               806 %1zInvalid parameter value specified
# M_HS_ENOMEM               807 %1zNo memory can be allocated
# M_HS_ERROR                808 %1zGeneric error
# M_HS_ESORTALG             809 %1zUnsupported sorting method
# M_HS_ESORTBIN             810 %1zHeapsort/Quicksort fails
# M_HS_ESORTBINSAVE         811 %1zUnable to save sorted bin on disk
# M_HS_ESORTMERGE           812 %1zMerge of sorted bins fails
# M_HS_ESORTOUT             813 %1zReading of final sorted result fails
# M_HSNLS_EBUGCHECK         814 %1zInternal NLS error detected
# M_HSNLS_ETKNLSERR         815 %1zAttempted NLS operation failed
# M_HSNLS_ENOSUP            816 %1zAttempted NLS encoding or locale is not supported
# M_HSNLS_ETKNLSTPERR       817 %1zAttempted NLS transcode operation failed
# M_HSNLS_EBADCEI           818 %1zInvalid NLS encoding value detected
# M_HSNLS_EBADCASEFILE      819 %1zInvalid NLS CASE file format encountered
# M_HSNLS_EBADTABFMT        820 %1zInvalid NLS byte table format encountered
# M_HSNLS_EBADPATH          821 %1zInvalid/malformed SPDS_NLSPATH specified
# M_HSNLS_EBADSORTFILE      822 %1zInvalid NLS SORTSEQ file format encountered
# M_HSNLS_EITPOVERFLOW      823 %1zInput NLS transcode overflowed character variable width
# M_HSNLS_EOTPOVERFLOW      824 %1zOutput NLS transcode overflowed character variable width
# M_HS_ESORTFILL            825 %1zUnexpected sort bin fill error encountered
# M_HSNLS_ELOADFAILED       826 %1zSPDSNLSLIB library load failed
# M_HSNLS_EITPDATALOST      827 %1zNon-blank data lost during CHAR variable transcode when reading
# M_HSNLS_EOTPDATALOST      828 %1zNon-blank data lost during CHAR variable transcode when writing
# M_HSNLS_EITPDATAMAP       829 %1zNon-mappable data lost during CHAR variable transcode when reading
# M_HSNLS_EOTPDATAMAP       830 %1zNon-mappable data lost during CHAR variable transcode when writing
# M_HSNLS_ESMINIT           831 %1zUnable to create TKNLS SM object
# M_HSNLS_ESMFAILED         832 %1zUnexpected TKNLS SM method failure

/*
 *  IX Subsystem
 */
# M_IX_WARNING             1001 %2zGeneric IX warning
# M_IX_WINCOMPLETE         1002 %2zIncomplete index
# M_IX_WNOCHANGE           1003 %2zKey unchanged in updated observation
# M_IX_WPOINT              1004 %2zPoint not located
# M_IX_WRANK               1005 %2zIndex rank file creation fails
# M_IX_WSPLIT              1006 %2zBtree page split occurred
# M_IX_EAPPEND             1007 %1zAppended key already appears in index
# M_IX_MAXVAL_TOOBIG       1008 %1zBitmap index requires INDEX_MAXVALUES <= segment size
# M_IX_EBADTYPE            1009 %1zInvalid index type
# M_IX_EBTABORT            1010 %1zBtree abort operation failed
# M_IX_EBTCLOFAIL          1011 %1zBtree close operation failed
# M_IX_EBTCNTFAIL          1012 %1zBtree count operation failed
# M_IX_EBTDTSIZE           1013 %1zBtree data type size inconsistency
# M_IX_EBTINCOMPAT         1014 %1zExisting btree index incompatible with this release
# M_IX_EBTINTERNALERR      1015 %1zBtree internal error
# M_IX_EBTMAPPND           1016 %1zBtree append preparation failed
# M_IX_EBTMPREP            1017 %1zBtree append metadata preparation failed
# M_IX_EBTOPENFAIL         1018 %1zBtree open operation failed
# M_IX_EBTORDER            1019 %1zBtree append order incorrect
# M_IX_EBTPUTFAIL          1020 %1zBtree append operation failed
# M_IX_EBTQMPREP           1021 %1zBtree metadata query preparation failed
# M_IX_EBTQPREP            1022 %1zBtree segment query preparation failed
# M_IX_EBTQUERY            1023 %1zBtree segment query failed
# M_IX_EBTUPDFAIL          1024 %1zBtree update operation failed
# M_IX_ECOMPARE            1025 %1zIllegal comparison
# M_IX_EINTRPT             1026 %1zIndex operation terminated by interrupt flag
# M_IX_EKEYCOUNT           1027 %1zIndex append incomplete. Disk space probably exhausted
# M_IX_EMAXVAL             1028 %1zNumber of discrete values exceeded
# M_IX_EMINMAX             1029 %1zMinimum or maximum not determined
# M_IX_ENOMEM              1030 %1zNo memory can be allocated
# M_IX_EREAD               1031 %1zFile read failure
# M_IX_ERROR               1032 %1zGeneric IX error
# M_IX_ESEGNO              1033 %1zUnable to locate segment number
# M_IX_ESEGSIZE            1034 %1zInvalid segment size
# M_IX_EUNIQUE             1035 %1zDuplicate keys appear in unique-type index
# M_IX_EVERSION            1036 %1zInvalid index version
# M_IX_EWRITE              1037 %1zFile write failure
# M_IX_EBADIDX             1038 %1zIndex is bad and cannot be repaired, delete and recreate.
# M_IX_EREPAIR             1039 %1zIndex needs to be repaired.
# M_IX_ESEGOVFL            1040 %1zIndex exceeds maximum segments
# M_IX_EBIGKEY             1041 %1zIndex key exceeds maximum size of 32608

/*
 *  WH Subsystem
 */
# M_WH_EBADPARM            1201 %1zBad parameter passed to WH-subsystem routine
# M_WH_EDASUBSYS           1202 %1zEncountered error in DA-subsystem
# M_WH_EINTERNAL           1203 %1zWH-subsystem internal error
# M_WH_EINVCLAUSE          1204 %1zInvalid WHERE clause
# M_WH_EIXSUBSYS           1205 %1zEncountered error in IX-subsystem
# M_WH_EMAKEKEY            1206 %1zEncountered error while making key
# M_WH_ENOGLOBIDX          1207 %1zCould not find global B-Tree nor bitmap index
# M_WH_ENOMEM              1208 %1zNo memory can be allocated
# M_WH_ENOVAR              1209 %1zVariable not found on data set
# M_WH_EPROTOCOL           1210 %1zWH-function called incorrectly
# M_WH_ESYMBOL             1211 %2zCannot resolve WHERE clause symbolic substitution
# M_WH_ERNGCLAUSE          1212 %1zInvalid RANGE expression
# M_WH_ERNGVAR             1213 %1zInvalid variable in RANGE clause
# M_WH_ERNGFUNC            1214 %1zInvalid function in RANGE clause
# M_WH_ERNGRANGE           1215 %1zInvalid or overlapping range in RANGE clause
# M_WH_ERNGTYPE            1216 %1zInvalid type in RANGE clause

/*
 *  SSUPIO subsystem
 */
# M_SSUP_WXOEWFNOI         1401 %2zFormat or Informat could not be located.
# M_SSUP_WXOEWFNOF         1402 %2zFunction could not be located.
